﻿@using SportsClub.Areas.Dashboard.Models
@model SeasonPaymentPlanViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Payment plans
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <fieldset>
            <legend>Payment plans</legend>
            <span class="message">Select all the payment plans that you want to offer to the users. Note: only payment plans that have defined for all programs show up in this list.</span>

            <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedPaymentPlans)>
                <div @Html.AngTooltipValidationFor(model => model.SelectedPaymentPlans)>
                    <select chosen multiple
                            ng-model="Model.SelectedPaymentPlans"
                            ng-options="obj.Value as obj.Text for obj in Model.PaymentPlanList"></select>
                </div>
            </div>
        </fieldset>
        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_ScheduleInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>